Turbo.264 HD Version 1.2.3

If you’re using Turbo.264 HD version 1.2.2 you’ll want to update to the 1.2.3 version.

What’s new in this release?

  • resolved an issue where the Turbo component was not installed
  • resolved an issue with EyeTV integration that resulted in the Turbo hardware not being used for exports
  • improved file support
  • improved YouTube support
  • improved audio sync on export
  • improved performance and stability
  • improved support for OS X 10.10 (Yosemite)

Installation

After updating to the new version of Turbo.264 HD, please quit and reopen all programs that may have been using Turbo.264 HD, such as EyeTV.

System Requirements

  • a Macintosh computer with an Intel Core processor
  • 512 MB of RAM
  • a built-in USB 2.0 port
  • Mac OS X 10.6.8 or later, Mac OS 10.10 recommended (with all software and security updates installed)
  • QuickTime 7.6 (or later)

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s